Commit 7764183a authored by Tim Hunt's avatar Tim Hunt
Browse files

MDL-20636 Fix @package names and PHPdoc layout.

parent 017bc1d9
......@@ -18,9 +18,10 @@
/**
* Strings for component 'qtype_numerical', language 'en', branch 'MOODLE_20_STABLE'
*
* @package qtype_numerical
* @copyright 1999 onwards Martin Dougiamas {@link http://moodle.com}
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @package qtype
* @subpackage numerical
* @copyright 1999 onwards Martin Dougiamas {@link http://moodle.com}
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
$string['addingnumerical'] = 'Adding a Numerical question';
......
......@@ -18,11 +18,16 @@
/**
* Serve question type files
*
* @since 2.0
* @package questionbank
* @subpackage questiontypes
* @author Dongsheng Cai <dongsheng@moodle.com>
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @since 2.0
* @package qtype
* @subpackage numerical
* @copyright Dongsheng Cai <dongsheng@moodle.com>
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
/**
* Checks file access for numerical questions.
*/
function qtype_numerical_pluginfile($course, $cm, $context, $filearea, $args, $forcedownload) {
global $CFG;
......
......@@ -19,9 +19,10 @@
/**
* Numerical question definition class.
*
* @package qtype_numerical
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @package qtype
* @subpackage numerical
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
require_once($CFG->dirroot . '/question/type/numerical/questiontype.php');
......@@ -30,8 +31,8 @@ require_once($CFG->dirroot . '/question/type/numerical/questiontype.php');
/**
* Represents a numerical question.
*
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_numerical_question extends question_graded_by_strategy
implements question_response_answer_comparer {
......@@ -98,8 +99,8 @@ class qtype_numerical_question extends question_graded_by_strategy
* Subclass of {@link question_answer} with the extra information required by
* the numerical question type.
*
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_numerical_answer extends question_answer {
/** @var float allowable margin of error. */
......
......@@ -16,14 +16,16 @@
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* @author Martin Dougiamas and many others. Tim Hunt.
* @license http://www.gnu.org/copyleft/gpl.html GNU Public License
* @package questionbank
* @subpackage questiontypes
* @package qtype
* @subpackage numerical
* @copyright 1999 onwards Martin Dougiamas {@link http://moodle.com}
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
require_once("$CFG->dirroot/question/type/shortanswer/questiontype.php");
/**
* NUMERICAL QUESTION TYPE CLASS
*
......@@ -32,8 +34,9 @@ require_once("$CFG->dirroot/question/type/shortanswer/questiontype.php");
*
* This question type behaves like shortanswer in most cases.
* Therefore, it extends the shortanswer question type...
* @package questionbank
* @subpackage questiontypes
*
* @copyright 1999 onwards Martin Dougiamas {@link http://moodle.com}
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class question_numerical_qtype extends qtype_shortanswer {
......
......@@ -19,10 +19,10 @@
/**
* Page for editing the configuration of a particular Opaque engine.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......@@ -33,8 +33,8 @@ include_once($CFG->libdir . '/validateurlsyntax.php');
/**
* Form definition class.
*
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_engine_edit_form extends moodleform {
public function definition() {
......
......@@ -19,10 +19,10 @@
/**
* Defines the editing form for the Opaque question type.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......@@ -35,8 +35,8 @@ require_once(dirname(__FILE__) . '/locallib.php');
* class that inherits from this one, and implements the definition_inner()
* method.
*
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_edit_form extends question_edit_form {
function definition() {
......
......@@ -19,10 +19,10 @@
/**
* Page for editing the configuration of a particular Opaque engine.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......
......@@ -19,10 +19,10 @@
/**
* This page lets admins manage the list of known remote Opaque engines.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......
......@@ -19,10 +19,10 @@
/**
* Serves files from the Opaque resource cache.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2007 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2007 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......
......@@ -19,10 +19,10 @@
/**
* Library routines used by the Opaque question type.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......@@ -63,8 +63,8 @@ function qtype_opaque_format_soap_fault($fault) {
/**
* Manages loading and saving question engine definitions to and from the database.
*
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_engine_manager {
/**
......@@ -640,10 +640,14 @@ function qtype_opaque_browser_type() {
return '';
}
/**
* This class caches the resources belonging a particular question.
*
* There are synchronisation issues if two students are doing the same question at the same time.
*
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_resource_cache {
protected $folder; // Path to the folder where resources for this question are cached.
......
......@@ -15,22 +15,21 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* Opaque question definition class.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
/**
* Represents an Opaque question.
*
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_question extends question_definition {
/** @var integer the ID of the question engine that serves this question. */
......
......@@ -32,8 +32,8 @@ require_once(dirname(__FILE__) . '/locallib.php');
/**
* The Opaque question type.
*
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque extends question_type {
/** @var qtype_opaque_engine_manager */
......
......@@ -19,20 +19,18 @@
/**
* Opaque question renderer class.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
/**
* Generates the output for Opaque questions.
*
* // TODO if we delete this class, does it cause any errors?
*
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2009 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_renderer extends qtype_renderer {
}
......@@ -15,27 +15,28 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* Unit tests for (some of) ../locallib.php.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
if (!defined('MOODLE_INTERNAL')) {
die('Direct access to this script is forbidden.'); /// It must be included from a Moodle page.
}
require_once($CFG->dirroot . '/mod/quiz/locallib.php');
/**
* Unit tests for (some of) ../locallib.php.
*
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_locallib_test extends UnitTestCase {
function test_is_same_engine() {
......
......@@ -15,13 +15,13 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* Unit tests for the opaque question type class.
*
* @package qtype_opaque
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @package qtype
* @subpackage opaque
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......@@ -30,6 +30,12 @@ require_once($CFG->dirroot . '/question/type/opaque/questiontype.php');
require_once($CFG->dirroot . '/question/format/xml/format.php');
/**
* Mock {@link qtype_opaque_engine_manager} for use in tests.
*
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_engine_manager_mock extends qtype_opaque_engine_manager {
protected $knownengines = array();
......@@ -68,8 +74,8 @@ class qtype_opaque_engine_manager_mock extends qtype_opaque_engine_manager {
/**
* Unit tests for the opaque question type class.
*
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_opaque_test extends UnitTestCase {
var $qtype;
......
......@@ -19,10 +19,10 @@
/**
* Page for testing that Moodle can connect to a particular Opaque engine.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
require_once(dirname(__FILE__) . '/../../../config.php');
......
......@@ -15,14 +15,14 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* Version information for the Opaque question type.
*
* @package qtype
* @package qtype
* @subpackage opaque
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2006 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
$plugin->version = 2011011400;
$plugin->requires = 2011011200;
......@@ -15,21 +15,21 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* Editing form for the OU multiple response question type class.
*
* @package qtype_oumultiresponse
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @package qtype
* @subpackage oumultiresponse
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
/**
* Editing form for the oumultiresponse question type.
*
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_oumultiresponse_edit_form extends question_edit_form {
......
......@@ -15,16 +15,15 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* OU multiple response question type language strings.
*
* @package qtype_oumultiresponse
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @package qtype
* @subpackage oumultiresponse
* @copyright 2008 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
$string['addingoumultiresponse'] = 'Adding an OU multiple response question';
$string['choices'] = 'Available choices';
$string['correctanswer'] = 'Correct';
......
......@@ -15,13 +15,13 @@
// You should have received a copy of the GNU General Public License
// along with Moodle. If not, see <http://www.gnu.org/licenses/>.
/**
* OU multiple response question definition class.
*
* @package qtype_oumultiresponse
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @package qtype
* @subpackage oumultiresponse
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
......@@ -31,8 +31,8 @@ require_once($CFG->dirroot . '/question/type/multichoice/question.php');
/**
* Represents an OU multiple response question.
*
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
* @copyright 2010 The Open University
* @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
*/
class qtype_oumultiresponse_question extends qtype_multichoice_multi_question
implements question_automatically_gradable_with_countback {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment